# OgreRoot.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreString.h"`
`#include "OgreSceneManagerEnumerator.h"`
`#include "OgreResourceGroupManager.h"`
`#include <exception>`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Defines

#define | SET_TERM_HANDLER { std::set_terminate( &Ogre::Root::termHandler ); }

## Define Documentation

#define SET_TERM_HANDLER { std::set_terminate( &Ogre::Root::termHandler ); }

| Definition at line 41 of file OgreRoot.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 12:59:57 2006